using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MarketData.Generator.CMMomentum
{
  public class CMGeneratorResult
  {
    public CMGeneratorResult()
    {
      Success = false;
      InFallback = false;
      CMCandidates = new CMCandidates();
      CMCandidatesWithViolation = new CMCandidates();
      Messages = new List<String>();
    }
    public CMCandidates CMCandidates { get; set; }
    public CMCandidates CMCandidatesWithViolation { get; set; }
    public bool Success { get; set; }
    public bool InFallback { get; set; }
    public List<String> Messages { get; set; }
    public String LastMessage { get { if (null == Messages || 0 == Messages.Count) return ""; else return Messages[0]; } }
  }  
}
